Subject: Re: linux-next: build failure after merge of the drivers-x86 tree

From: Ingo Molnar <[email-masked]>
Date: Thu, 15 May 2025 11:22:50 +0200

* Ilpo Järvinen <[email-masked]> wrote:

> On Thu, 15 May 2025, Stephen Rothwell wrote:
> 
> > Hi all,
> > 
> > After merging the drivers-x86 tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/platform/x86/amd/hsmp/hwmon.c: In function 'hsmp_hwmon_write':
> > drivers/platform/x86/amd/hsmp/hwmon.c:38:16: error: implicit declaration of function 'hsmp_send_message' [-Wimplicit-function-declaration]
> >    38 |         return hsmp_send_message(&msg);
> >       |                ^~~~~~~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >   92c025db52bb ("platform/x86/amd/hsmp: Report power via hwmon sensors")
> > 
> > I have used the drivers-x86 tree from next-20250514 for today.
> 
> Hi Stephen,
> 
> This is a direct result of moving a pdx86 related header behind my back:
> 
> https://lore.kernel.org/all/[email-masked]/
> 
> That change wasn't sent to the relevant MAINTAINERS entries (and obviously 
> then does not contain my ack either).

Sorry about that! I always try to over- Cc:, but missed you this time.

> Ingo, any suggestion how to deal with this breakage? Do you have e.g. 
> an IB which I could pull into pdx86 tree which has only these header 
> moves?

I'm not sure that's needed, the above build failure is not really a 
build failure caused by the platform-drivers-x86.git tree, it is a 
semantic merge conflict that should be resolved at the linux-next level 
I think. (And which conflict should be mentioned to Linus by whoever 
sends their tree second.)

Stephen, could you apply the patch below perhaps?

If not then I'll add back an <asm/amd_hsmp.h> wrapper to the x86 tree.

Thanks,

	Ingo

================>
 drivers/platform/x86/amd/hsmp/hwmon.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/platform/x86/amd/hsmp/hwmon.c b/drivers/platform/x86/amd/hsmp/hwmon.c
index 7ffb61e0ef62..0cc9a742497f 100644
--- a/drivers/platform/x86/amd/hsmp/hwmon.c
+++ b/drivers/platform/x86/amd/hsmp/hwmon.c
@@ -7,7 +7,7 @@
  * This file provides hwmon implementation for HSMP interface.
  */
 
-#include <asm/amd_hsmp.h>
+#include <asm/amd/hsmp.h>
 
 #include <linux/device.h>
 #include <linux/err.h>